Package org.opensaml.saml.saml2.metadata

# Interface KeyDescriptor

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `KeyDescriptorImpl`

public interface KeyDescriptor extends SAMLObject
SAML 2.0 Metadata KeyDescriptor.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element name, no namespace.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.
`static final String`
`USE_ATTRIB_NAME`
"use" attribute's local name.

## Method Summary

Modifier and Type
Method
Description
`List<EncryptionMethod>`
`getEncryptionMethods()`
Gets the encryption methods that are supported by the entity.
`KeyInfo`
`getKeyInfo()`
Gets information about the key, including the key itself.
`UsageType`
`getUse()`
Gets the use of this key.
`void`
`setKeyInfo(KeyInfo newKeyInfo)`
Sets information about the key, including the key itself.
`void`
`setUse(UsageType newType)`
Sets the use of this key.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element name, no namespace.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### USE_ATTRIB_NAME

@Nonnull @NotEmpty static final String USE_ATTRIB_NAME
"use" attribute's local name.

See Also:
  - Constant Field Values

## Method Details

### getUse

@Nullable UsageType getUse()
Gets the use of this key.

Returns:
  the use of this key

### setUse

void setUse(@Nullable UsageType newType)
Sets the use of this key.

Parameters:
  `newType` - the use of this key

### getKeyInfo

@Nullable KeyInfo getKeyInfo()
Gets information about the key, including the key itself.

Returns:
  information about the key, including the key itself

### setKeyInfo

void setKeyInfo(@Nullable KeyInfo newKeyInfo)
Sets information about the key, including the key itself.

Parameters:
  `newKeyInfo` - information about the key, including the key itself

### getEncryptionMethods

@Nonnull @Live List<EncryptionMethod> getEncryptionMethods()
Gets the encryption methods that are supported by the entity.

Returns:
  the encryption methods that are supported by the entity